package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-10
 */
@Data
@TableName(value = "tb_knowledge")
@Accessors(chain = true)
public class Knowledge extends BaseData {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "分类")
    private String type;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Integer state;

}
