package com.ruoyi.web.work.domain.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lsw
 * @date 2024-07-18
 */
@Data
@Accessors(chain = true)
public class FollowRecordDto {

    @NotNull(message = "参数错误")
    private Long id;

    @NotBlank(message = "回访内容不能为空")
    private String op;
}
