package com.ruoyi.web.work.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.EmployeeInfoMapper;
import com.ruoyi.web.work.domain.EmployeeInfo;
import com.ruoyi.web.work.service.IEmployeeInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author zeng
 * @date 2024-07-18
 */
@Service
public class EmployeeInfoServiceImpl extends ServiceImpl<EmployeeInfoMapper, EmployeeInfo> implements IEmployeeInfoService {
    @Autowired
    private EmployeeInfoMapper employeeInfoMapper;

    @Override
    public List<EmployeeInfo> selectList(EmployeeInfo employeeInfo) {
        return employeeInfoMapper.selectList(employeeInfo);
    }
}
