package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.web.work.domain.FollowTemplate;
import com.ruoyi.web.work.mapper.FollowTemplateMapper;
import com.ruoyi.web.work.service.IFollowTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsw
 * @date 2024-07-11
 */
@Service
public class FollowTemplateServiceImpl extends ServiceImpl<FollowTemplateMapper, FollowTemplate> implements IFollowTemplateService {
    @Autowired
    private FollowTemplateMapper followTemplateMapper;

    @DataScope(deptAlias = "k")
    @Override
    public List<FollowTemplate> selectList(FollowTemplate followTemplate) {
        return followTemplateMapper.selectList(followTemplate);
    }
}
