package com.ruoyi.web.work.domain;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-23
 */
@Data
@TableName(value = "tb_obx_result")
@Accessors(chain = true)
public class Result{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "obrid")
    private Long obrId;

    @ApiModelProperty(value = "序号")
    private String serialNo;

    @ApiModelProperty(value = "数据类型")
    private String dataType;

    @ApiModelProperty(value = "医技观察项目")
    private String mecTechObsProject;

    @ApiModelProperty(value = "医技项目名称")
    private String mecTechObsName;

    @ApiModelProperty(value = "观察子项")
    private String obsProjectDetail;

    @ApiModelProperty(value = "项目结果信息")
    private String projectInfo;

    @ApiModelProperty(value = "项目单位 单位代码")
    private String unitCode;

    @ApiModelProperty(value = "项目单位 单位名称")
    private String unitName;

    @ApiModelProperty(value = "结果参考值")
    private String result;

    @ApiModelProperty(value = "高低标志")
    private String sign;

    @ApiModelProperty(value = "微生物观察分类")
    private String obsClassification;

    @ApiModelProperty(value = "检验方法")
    private String testMethod;


}
