package com.ruoyi.web.work.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.sql.Timestamp;

@Data
@Accessors(chain = true)
public class PatientCardDto {


    @ApiModelProperty(value = "科室")
    private String department;


    @ApiModelProperty(value = "主治医生姓名")
    private String physician;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "出院方式")
    private String dischargeMethod;


    @ApiModelProperty(value = "出院时间")
    private Timestamp dischargeTime;


    @ApiModelProperty(value = "就诊ID")
    private String pvId;

    @ApiModelProperty(value = "患者ID")
    private String patId;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;



}

