package com.ruoyi.web.work.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.PatientMapper;
import com.ruoyi.web.work.domain.Patient;
import com.ruoyi.web.work.service.IPatientService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-19
 */
@Service
public class PatientServiceImpl extends ServiceImpl<PatientMapper, Patient> implements IPatientService {
    @Autowired
    private PatientMapper patientMapper;

    @Override
    public List<Patient> selectList(Patient patient) {
        return patientMapper.selectList(patient);
    }



}
