package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.ruoyi.web.work.domain.Request;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.ReportMapper;
import com.ruoyi.web.work.domain.Report;
import com.ruoyi.web.work.service.IReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-24
 */
@Service
public class ReportServiceImpl extends ServiceImpl<ReportMapper, Report> implements IReportService {
    @Autowired
    private ReportMapper reportMapper;

    @Override
    public List<Report> selectList(Report report) {
        return reportMapper.selectList(report);
    }

    @Override
    public List<Request> getAllReportByPatId(Long patId) {
        return reportMapper.getAllReportByPatId(patId);
    }


}
