package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.RequestMapper;
import com.ruoyi.web.work.domain.Request;
import com.ruoyi.web.work.service.IRequestService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class RequestServiceImpl extends ServiceImpl<RequestMapper, Request> implements IRequestService {
    @Autowired
    private RequestMapper requestMapper;


    @Override
    public List<Request> selectList(Request request) {
        return requestMapper.selectList(request);
    }

    @Override
    public List<Request> getRequestByCard(String card) {
        return requestMapper.getRequestByCard(card);
    }

    @Override
    public List<Request> getAllRequestByPatId(Long patId) {
        return requestMapper.getAllRequestByPatId(patId);
    }

    @Override
    public List<Request> getRequestByPatId(String patId) {
        return requestMapper.getRequestListByPatId(patId);
    }
}
